data[], each entry wrapped in a ClientPayment object, plus a pagination summary. Only payments linked to a client are returned (payments not associated with a client are excluded).client_credit and opening-balance (starting_balance) payments are excluded. Pass include_starting_balance=1 to include opening-balance payments, or set payment_method explicitly to target one of them.sort/direction (default: newest first).curl --location --globoff 'https://.daftra.com/api2/client_payments.json?limit=undefined&page=undefined&sort=date&direction=desc&no=INV-0001&code=000051&client_id=12&payment_method=cash&include_starting_balance=1&date_from=2026-01-01&date_to=2026-12-31&created_from=2026-01-01&created_to=2026-12-31&amount_from=100&amount_to=5000&id=113&transaction_id=ch_3Q...&status=1&invoiced_by=5&staff_id=5&pos_shift_id=8' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"code": 200,
"result": "successful",
"data": [
{
"ClientPayment": {
"id": 113,
"invoice_id": 109,
"client_id": 28,
"payment_method": "cash",
"amount": 10000,
"transaction_id": "",
"date": "2026-06-09 00:00:00",
"email": "string",
"status": 0,
"notes": "string",
"response_code": "string",
"response_message": "string",
"created": "2019-08-24T14:15:22.123Z",
"modified": "2019-08-24T14:15:22.123Z",
"added_by": 1,
"currency_code": "EGP",
"first_name": "string",
"last_name": "string",
"address1": "string",
"address2": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country_code": "str",
"phone1": "string",
"phone2": "string",
"ip": "104.28.162.140",
"transaction_type": "string",
"processed": true,
"attachment": "string",
"staff_id": 1,
"payment_work_order_id": 0,
"receipt_notes": "string",
"treasury_id": 1,
"pos_shift_id": 0,
"branch_id": 1,
"extra_details": "string",
"source": "string",
"code": "000051"
}
}
],
"pagination": {
"prev": "/api2/client_payments?page=1",
"next": "/api2/client_payments?page=3",
"page": 2,
"page_count": 5,
"total_results": 98
}
}